<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginRight="16dp"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/taskIcon"
        style="@style/frescoStyle"
        android:layout_width="40dp"
        android:layout_height="40dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/taskName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxEms="5"
        android:maxLines="1"
        android:textColor="#333333"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="@+id/taskIcon"
        app:layout_constraintRight_toLeftOf="@+id/taskNotice"
        app:layout_constraintTop_toBottomOf="@+id/taskIcon"
        tools:text="绑定手机哈哈哈哈哈哈哈" />

    <ImageView
        android:id="@+id/taskNotice"
        android:layout_width="14dp"
        android:layout_height="24dp"
        android:paddingLeft="2dp"
        android:paddingTop="6dp"
        android:paddingBottom="6dp"
        android:src="@drawable/ic_energy_center_notice"
        app:layout_constraintBottom_toBottomOf="@+id/taskName"
        app:layout_constraintLeft_toRightOf="@+id/taskName"
        app:layout_constraintRight_toRightOf="@+id/taskIcon"
        app:layout_constraintTop_toTopOf="@+id/taskName" />

    <TextView
        android:id="@+id/taskBtn"
        android:layout_width="60dp"
        android:layout_height="26dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/bg_energy_task_btn_normal"
        android:gravity="center"
        android:textColor="@color/text_white"
        android:textSize="12sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/taskName"
        tools:text="+5光能" />
</androidx.constraintlayout.widget.ConstraintLayout>